require_relative 'mars_rover/version'
require_relative 'mars_rover/mars_rover'
require_relative 'mars_rover/commander'
require_relative 'mars_rover/rover'
require_relative 'mars_rover/zone'

# All code in the gem is namespaced under this module.
module DallasMarsRover
  # Valid compass directions accepted by the rover
  COMPASS = %w[N E S W].freeze
  # Valid commands accepted by the rover
  COMMANDS = %w[M L R].freeze
end
